[{if !$oDetailsProduct->isGiftCertArticle()}]
    [{$smarty.block.parent}]
[{else}]
    [{if !$oDetailsProduct->isParentNotBuyable() }]
        </div> [{* div is opened in details_productmain_stockstatus block*}]
    [{/if}]
[{/if}]